# language.h File Reference

Information about languages and their files. More...

`#include "core/smallvec_type.hpp"`
`#include <unicode/coll.h>`

Go to the source code of this file.

## Data Structures
struct | LanguagePackHeader
| Header of a language file. More...
struct | LanguageMetadata
| Metadata about a single language. More...
## Typedefs
typedef SmallVector < LanguageMetadata, 4 > | LanguageList
| Type for the list of language meta data.
## Functions
| assert_compile (sizeof(LanguagePackHeader)%4==0)
bool | ReadLanguagePack (const LanguageMetadata *lang)
const LanguageMetadata * | GetLanguage (byte newgrflangid)
| Get the language with the given NewGRF language ID.
## Variables
static const uint8 | CASE_GENDER_LEN = 16
| The (maximum) length of a case/gender string.
static const uint8 | MAX_NUM_GENDERS = 8
| Maximum number of supported genders.
static const uint8 | MAX_NUM_CASES = 16
| Maximum number of supported cases.
LanguageList | _languages
| The actual list of language meta data.
const LanguageMetadata * | _current_language
| The currently loaded language.
Collator * | _current_collator
| Collator for the language currently in use.

## Detailed Description

Information about languages and their files.

Definition in file language.h.

## Typedef Documentation

typedef SmallVector<LanguageMetadata, 4> LanguageList

Type for the list of language meta data.

Definition at line 96 of file language.h.

## Function Documentation

const LanguageMetadata* GetLanguage | ( | byte | newgrflangid | ) |

Get the language with the given NewGRF language ID.

Parameters:

  | newgrflangid | NewGRF languages ID to check.

Returns:
  The language's metadata, or NULL if it is not known.

Definition at line 1606 of file strings.cpp.

References SmallVector< T, S >::Begin(), SmallVector< T, S >::End(), and LanguagePackHeader::newgrflangid.

Referenced by GetLanguageList().

## Variable Documentation

const LanguageMetadata* _current_language

The currently loaded language.

Definition at line 47 of file strings.cpp.

Referenced by UnmappedChoiceList::Flush(), CrashLog::LogConfiguration(), GameOptionsWindow::OnClick(), and GameOptionsWindow::SetStringParameters().

LanguageList _languages

The actual list of language meta data.

Definition at line 46 of file strings.cpp.

Referenced by GameOptionsWindow::OnClick(), and GameOptionsWindow::OnDropdownSelect().